# Class CIM_Product
extends CIM_ManagedElement

CIM_Product is a concrete class that aggregates PhysicalElements, software (SoftwareIdentity and SoftwareFeatures), Services and/or other Products, and is acquired as a unit. Acquisition implies an agreement between supplier and consumer which may have implications to Product licensing, support and warranty. Non-commercial (e.g., in-house developed Products) should also be identified as an instance of CIM_Product. Note that software is handled a bit differently in the list of aggregated entities, above. This is because software can be viewed as a tangible asset (similar to PhysicalElements) AND/ OR as a set of features that make up a Product and are deployed. These are two different concepts, usually managed by different units in a business' organization. When software 'features' are described, the CIM_SoftwareFeature class from the Application Model is instantiated (where Features are Weak to/scoped by a Product). When a specific piece of software is acquired and perhaps warrantied as part of a Product, this is addressed by the class, SoftwareIdentity.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Product

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

CIM_Product is a concrete class that aggregates PhysicalElements, software (SoftwareIdentity and SoftwareFeatures), Services and/or other Products, and is acquired as a unit. Acquisition implies an agreement between supplier and consumer which may have implications to Product licensing, support and warranty. Non-commercial (e.g., in-house developed Products) should also be identified as an instance of CIM_Product. Note that software is handled a bit differently in the list of aggregated entities, above. This is because software can be viewed as a tangible asset (similar to PhysicalElements) AND/ OR as a set of features that make up a Product and are deployed. These are two different concepts, usually managed by different units in a business' organization. When software 'features' are described, the CIM_SoftwareFeature class from the Application Model is instantiated (where Features are Weak to/scoped by a Product). When a specific piece of software is acquired and perhaps warrantied as part of a Product, this is addressed by the class, SoftwareIdentity.

UMLPackagePath | string | CIM::Core::ProductFRU
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IdentifyingNumber | string |
Description | string | Product identification such as a serial number on software, a die number on a hardware chip, or (for non-commercial Products) a project number.
Key | boolean | true
MappingStrings | string | MIF.DMTF|ComponentID|001.4
MaxLen | uint32 | 64
Name | string |
Description | string | Commonly used Product name.
Key | boolean | true
MappingStrings | string | MIF.DMTF|ComponentID|001.2
MaxLen | uint32 | 256
ModelCorrespondence | string | PRS_Product.ProductName
SKUNumber | string |
Description | string | Product SKU (stock keeping unit) information.
MaxLen | uint32 | 64
Vendor | string |
Description | string | The name of the Product's supplier, or entity selling the Product (the manufacturer, reseller, OEM, etc.). Corresponds to the Vendor property in the Product object in the DMTF Solution Exchange Standard.
Key | boolean | true
MappingStrings | string | MIF.DMTF|ComponentID|001.1
MaxLen | uint32 | 256
ModelCorrespondence | string | PRS_Product.Vendor
Version | string |
Description | string | Product version information.
Key | boolean | true
MappingStrings | string | MIF.DMTF|ComponentID|001.3
MaxLen | uint32 | 64
ModelCorrespondence | string | PRS_Product.Version
WarrantyDuration | uint32 |
Description | string | If this Product is under warranty, the duration of the warranty in days.
MappingStrings | string | MIF.DMTF|FRU|002.10
ModelCorrespondence | string | CIM_Product.WarrantyStartDate
PUnit | string | day
Units | string | Days
WarrantyStartDate | datetime |
Description | string | If this Product is under warranty, the start date of the warranty.
MappingStrings | string | MIF.DMTF|FRU|002.9
ModelCorrespondence | string | CIM_Product.WarrantyDuration

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods